Public Member Functions | Public Attributes | List of all members
libfreehand::FHSymbolInstance Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHSymbolInstance ()

## Public Attributes
unsigned | m_graphicStyleId
unsigned | m_parentId
unsigned | m_symbolClassId
FHTransform | m_xForm

## Constructor & Destructor Documentation

## ◆ FHSymbolInstance()

libfreehand::FHSymbolInstance::FHSymbolInstance | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_graphicStyleId

unsigned libfreehand::FHSymbolInstance::m_graphicStyleId

Referenced by libfreehand::FHParser::readSymbolInstance().

## ◆ m_parentId

unsigned libfreehand::FHSymbolInstance::m_parentId

Referenced by libfreehand::FHParser::readSymbolInstance().

## ◆ m_symbolClassId

unsigned libfreehand::FHSymbolInstance::m_symbolClassId

Referenced by libfreehand::FHCollector::_getBBofSymbolInstance(), libfreehand::FHCollector::_outputSymbolInstance(), and libfreehand::FHParser::readSymbolInstance().

## ◆ m_xForm

FHTransform libfreehand::FHSymbolInstance::m_xForm

Referenced by libfreehand::FHCollector::_getBBofSymbolInstance(), libfreehand::FHCollector::_outputSymbolInstance(), and libfreehand::FHParser::readSymbolInstance().

The documentation for this struct was generated from the following file:

- FHTypes.h